## golang-github-joshdk-go-junit 1.0.0

=== Makefile ===
#### Environment ####

# Enforce usage of the Go modules system.
export GO111MODULE := on

# Determine where `go get` will install binaries to.
GOBIN := $(HOME)/go/bin
ifdef GOPATH
	GOBIN := $(GOPATH)/bin
endif

# All target for when make is run on its own.
.PHONY: all
all: test lint

#### Binary Dependencies ####

# Install binary for go-junit-report.
go-junit-report := $(GOBIN)/go-junit-report
$(go-junit-report):
	cd /tmp && go get -u github.com/jstemmer/go-junit-report

# Install binary for golangci-lint.
golangci-lint := $(GOBIN)/golangci-lint
$(golangci-lint):
	@./scripts/install-golangci-lint $(golangci-lint)

# Install binary for goimports.
goimports := $(GOBIN)/goimports
$(goimports):
	cd /tmp && go get -u golang.org/x/tools/cmd/goimports

#### Linting ####

# Run code linters.
.PHONY: lint
lint: $(golangci-lint) style
	golangci-lint run

# Run code formatters. Unformatted code will fail in CircleCI.
.PHONY: style
style: $(goimports)
ifdef CI
	goimports -l .
else
	goimports -l -w .
endif

#### Testing ####

# Run Go tests and generate a JUnit XML style test report for ingestion by CircleCI.
.PHONY: test
test: $(go-junit-report)
	@mkdir -p test-results
	@go test -race -v 2>&1 | tee test-results/report.log
	@cat test-results/report.log | go-junit-report -set-exit-code > test-results/report.xml

# Clean up test reports.
.PHONY: clean
clean:
	@rm -rf test-results

=== debian/changelog ===
golang-github-joshdk-go-junit (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1121549)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 28 Nov 2025 11:22:26 +0100

=== debian/control ===
Source: golang-github-joshdk-go-junit
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-stretchr-testify-dev <!nocheck>
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-joshdk-go-junit
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-joshdk-go-junit.git
Homepage: https://github.com/joshdk/go-junit
XS-Go-Import-Path: github.com/joshdk/go-junit

Package: golang-github-joshdk-go-junit-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Go library for ingesting JUnit XML reports
 Provides convenience methods to parse and work with JUnit
 XML reports.

=== debian/watch ===
Version: 5

Template: Github
Owner: joshdk
Project: go-junit
